DtMmdbGetBookCaseByLocs(library call)

NAME
DtMmdbGetBookCaseByLocs — obtains descriptors for a set of bookcases based on hypertext link targets

SYNOPSIS

#include &<DtMmdb.h>
int DtMmdbGetBookCaseByLocs(
int infolib_descriptor,
const char** locators);

DESCRIPTION

The DtMmdbGetBookCaseByLocs function makes the database engine ready to provide access service for a set of bookcases. It allows you to access multiple bookcases by specifying hypertext link targets that occur within the bookcases. Use the free function to release the array of bookcase descriptors when it is no longer needed.

ARGUMENTS

infolib_path
    Specifies the infolib that contains the bookcase.

locators
    Specifies a zero-terminated array of locators of hypertext link targets. Each target can be a section or a component within a section.

RETURN VALUE

If DtMmdbGetBookCaseByLocs completes successfully, it returns a pointer to a NULL-terminated array of bookcase descriptors. If it fails, it returns NULL.

EXAMPLE

The following shows how a DtMmdbGetBookCaseByLocs call might be coded.

char locs[] = {"abcde0123456789", "fghij0123456789", 0 };
int* descriptor_array = DtMmdbGetBookCaseByLocs(myInfoLibDescriptor,  locs);

SEE ALSO

DtMmdbGetBookCaseByIndex(3), DtMmdbGetBookCaseByLoc(3), DtMmdbGetBookCaseByName(3)